let items = ['hello', 'world', 23, '23', null];
const filterBy = (arr, type) => arr.filter(item => typeof item !== type);
console.log(filterBy(items, 'string'))


// // Опишите своими словами как работает цикл forEach.

// Цикл forEach выполняет функцию callback один раз для каждого элемента в массиве в порядке возрастания индекса.
//     Она не вызовется для удаленых или пропущенных элементов массива. Она будет вызвана для элементов , которые есть в массиве
// и имеют значения undefined. Метод forEach позволяет последовательно перебрать все элементы массива.
//     Метод получает функцию для каждого элемента массива. В эту функцию можно передавать 3 параметра. Если они есть - то в 1-й параметр
// автоматически попадет элемент массива, второй - индекс, третий - сам массив.



